import { VueConstructor } from 'vue';
// import Vuex from 'vuex';
// import { Store } from 'vuex';
// import SecureToken from './store/securetoken';
// import { WebPartContext } from '@microsoft/sp-webpart-base';

// import axios from 'axios';
// import VueAxios from 'vue-axios';
import AssociatePicker from './components/AssociatePicker.vue';
import { CoolSelectPlugin } from 'vue-cool-select';


// Declare install function executed by Vue.use()
function install(Vue: VueConstructor) {
    if ((install as any).installed) {
        return;
    }
    (install as any).installed = true;
    // check to see if vue secure plugin is installed and throw an error if not
    // we need sharepointContext to work
    Vue.use(CoolSelectPlugin);
    Vue.component('AssociatePicker', AssociatePicker);
}

// Create module definition for Vue.use()
const plugin = {
    install,
};

// Auto-install when vue is found (eg. in browser via <script> tag)
let GlobalVue;
if (typeof window !== 'undefined') {
    GlobalVue = window.Vue;
} else if (typeof global !== 'undefined') {
    GlobalVue = global.Vue;
}
if (GlobalVue) {
    GlobalVue.use(plugin);
}

// (AssociatePicker as any).install = install;
// To allow use as module (npm/webpack/etc.) export component
export default plugin;

// export { AssociatePicker };
